/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/


:root{
    --cor-laranja: #D99053;
    --cor-azul: #11ADAF;
    --cor-azulclaro: #DFF2FD;
    --cor-azulescuro: #275074;
    --cor-verde: #276148;
    --cor-verdeescuro: #205b5e ;
    --cor-amarela: #F7F080;
    --cor-rosa: #FEEBDC;
    --cor-cinzaclaro: #F0F0F0;
}



/* ======= SINGLE-POST ======= */

.inside-article {   
   row-gap: 4px !important;
}

.inside-article p {
   margin-bottom: 0px;
}



 .historia-de-adocao-data {
   color: var(--cor-azul);
   font-weight: 600;
   margin: 0;
 }

/* ======= Navegação entre historias de adoção ======= */

.post-navigation-historias {
    display: flex;
    justify-content: space-between;
    margin-top: 120px; /* Adjust as needed */
}

.nav-previous-historias a,
.nav-next-historias a {
    background-color: var(--cor-laranja); /* Example background color */
    color: #fff; /* Example text color */
    font-weight: 600;
    padding-top: 10px !important;
    padding-bottom: 10px !important;
    padding-left: 30px !important;
    padding-right: 30px !important;
    border: solid 1px #EEEEEE !important;
    border-radius: 8px !important;
    text-decoration: none;
    transition: background-color 0.3s ease;
    display: inline-block;
    vertical-align: middle;
}

.nav-previous-historias a:hover,
.nav-next-historias a:hover {
    background-color: var(--cor-azul); 
    color: #FFFFFF;
}

.nav-previous-historias a svg,
.nav-next-historias a svg {
   color: #FFFFFF;
   vertical-align: middle;
}

.dashicons {
    vertical-align: middle;
}


.navigator-post-single {
   display: flex;
   flex-direction: row;
   justify-content: space-between;
   margin-top: 0px;
   padding-top: 20px;
   padding-bottom: 20px;
   padding-right: 12px;
   padding-left: 12px;
   background-color: #FFFFFF;
}

.navigator-post-single-left {
   width: 50%;
   display: flex;
}

.navigator-post-single-right {
   width: 50%;
   justify-content: right;
   display: flex;
}


.buttom-navigator-post-single {
   background-color: var(--cor-laranja);
   border: solid 1px var(--cor-cinzaclaro);
   border-radius: 12px;
   color: #FFFFFF;
   padding: 12px 16px 12px 16px;
   display: flex;
   flex-direction: column;
   column-gap: 0px;
   width: 200px;
}

.buttom-navigator-post-single-prev {
   justify-content: left;
}

.buttom-navigator-post-single-next {
   justify-content: right;
}

.buttom-navigator-post-single:hover {
   background-color: var(--cor-azul);
}

.buttom-navigator-post-single a,
.buttom-navigator-post-single a:hover {
   color: #FFFFFF;
   text-decoration: none;
}


.buttom-navigator-post-single span {
   font-size: 20px;
   font-weight: 600;
   line-height: 20px;
}

.buttom-navigator-post-single-next {
   text-align: left;
}

.buttom-navigator-post-single svg {
   fill: #FFFFFF;
   width: 18px;
   height: 18px;
   padding-top: 4px;
}

.buttom-navigator-post-single p {
   width: 100%;
   font-style: italic;   
   line-height: 16px;
   font-size: 16px;   
   margin-bottom: 0px;
   font-weight: 600;
}

.buttom-navigator-post-single-prev p {   
   padding-left: 20px;
   text-align: right;
}

.buttom-navigator-post-single-next p {   
   padding-right: 20px;
   text-align: right;
}

.buttom-navigator-post-single-prev span { 
   text-align: right;
}

.historias-de-adocao .featured-image {
    display: none;
}